/* Module      : JaegerPlayer.h
 * Author      : Robert W. Lindeman
 * Email       : gogo@wpi.edu
 * Course      : IMGD 3000
 *
 * Description : This is header for the Player class.
 *
 * Date        : 2006/02/05
 *
 * History:
 * Revision      Date          Changed By
 * --------      ----------    ----------
 * 00.01         2006/02/05    gogo
 * First release.
 *
 * (c) Copyright 2006, Worcester Polytechnic Institute.
 */

#ifndef _JAEGER_PLAYER_H_
#define _JAEGER_PLAYER_H_

/* -- INCLUDE FILES ------------------------------------------------------ */

#include "JaegerConstants.h"

/* -- DATA STRUCTURES ---------------------------------------------------- */

class Player  {
    private:
    public:
      int pos[2]; // Row, Col location of player's cell.
      int ori;    // Dir. we are facing (see JaegerConstants.h).

      Player::Player( int row, int col )  {
        pos[Xidx] = row;
        pos[Yidx] = col;
        ori = ORI_NORTH;
      };
      Player::Player( void )  {
        pos[Xidx] = pos[Yidx] = 0;
        ori = ORI_NORTH;
      };
      void Player::SetPos( int row, int col )  {
        pos[Xidx] = row;
        pos[Yidx] = col;
      };
      void Player::SetOri( int newOri )  {
        ori = newOri;
      };
      int Player::GetRow( void )  { return( pos[Xidx] ); };
      int Player::GetCol( void )  { return( pos[Yidx] ); };
      int Player::GetOri( void )  { return( ori ); };
      const char *Player::GetOriStr( void )  {
        char *str;

        switch( ori )  {
          case ORI_NORTH:
            str = "North";
            break;
          case ORI_EAST:
            str = "East";
            break;
          case ORI_SOUTH:
            str = "South";
            break;
          case ORI_WEST:
            str = "West";
            break;
          default:
            str = "Unknown";
            break;
        }
        return( str );
     };
};

/* -- GLOBAL VARIABLES --------------------------------------------------- */

/* -- LOCAL VARIABLES ---------------------------------------------------- */

/* ----------------------------------------------------------------------- */

#endif
